orchestrator
2025.10
true
Orchestrator API guide
- Getting started
- Authentication
- Swagger definition
- Orchestrator APIs
- Alerts Requests
- Assets requests
- Calendars requests
- Environments requests
- Folders requests
- Generic Tasks requests
- Jobs requests
- Libraries requests
- License requests
- Packages requests
- Permissions requests
- Personal workspaces requests
- Processes requests
- Queue Items requests
- Queue retention policy requests
- Robots requests
- Roles requests
- Schedules requests
- Settings requests
- Storage bucket requests
- Tasks requests
- Task Catalogs requests
- Task Forms requests
- Tenants requests
- Transactions requests
- Users requests
- Webhooks requests
- Platform Management APIs
Update Robot Account
Overview of the Update Robot Account endpoint for modifying robot account details, including required scopes
Updates the information about the specified robot account.
API Endpoint
PUT https://{yourDomain}/identity/api/Setting
Scopes
Requires the following scopes:
- PM.RobotAccount
- PM.RobotAccount.Write
Request Headers
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Note:
To obtain the {access_token}, make sure to authenticate through one of the methods described here.
Path Parameters
| Param | Data type | Description |
|---|---|---|
robotAccountId (required) | String | The Id of the robot account you want to update. |
Request Body
The request body contains the organization ID the robot account belongs to, and the information you want to update, such as group memberships.
{
"partitionGlobalId": "string",
"displayName": "string",
"groupIDsToAdd": [
"string"
],
"groupIDsToRemove": [
"string"
]
}
{
"partitionGlobalId": "string",
"displayName": "string",
"groupIDsToAdd": [
"string"
],
"groupIDsToRemove": [
"string"
]
}
Responses
200 OK
The custom group is updated with the information you provided.
Example Request
Let's say you gathered all the information needed to build the API call.
- Your
{baseURL}is: https://{yourDomain}/identity - Your
{access_token}is:1234(for length considerations). - The
{partitionGlobalId}is:3fa85f64-5717-4562-b3fc-2c963f66afa6 - You want to assign the robot account with the ID
88-uvto the group IDalumni-02.
The call should resemble the following example (cURL):
curl --location --request PUT 'https://{yourDomain}/identity/api/RobotAccount/88-uv' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"displayName": "Roby",
"groupIDsToAdd": [
"alumni-02"
],
"groupIDsToRemove": []
}'
curl --location --request PUT 'https://{yourDomain}/identity/api/RobotAccount/88-uv' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"displayName": "Roby",
"groupIDsToAdd": [
"alumni-02"
],
"groupIDsToRemove": []
}'
Here is the response for a successful call:
{
"id": "88-uv",
"name": "Roby",
"displayName": "Roby",
"creationTime": "2021-10-20T12:16:16.6492925",
"lastLoginTime": null,
"groupIds": [
"alumni-02",
"gryff-01"
]
}
{
"id": "88-uv",
"name": "Roby",
"displayName": "Roby",
"creationTime": "2021-10-20T12:16:16.6492925",
"lastLoginTime": null,
"groupIds": [
"alumni-02",
"gryff-01"
]
}